Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cactus.integration.ant.container.jboss
Class JBoss3xContainer

    java.lang.Object
      org.apache.tools.ant.ProjectComponent
          org.apache.cactus.integration.ant.container.AbstractContainer
              org.apache.cactus.integration.ant.container.AbstractJavaContainer
                  org.apache.cactus.integration.ant.container.jboss.JBoss3xContainer

All Implemented Interfaces:
  Container

public class JBoss3xContainer
extends AbstractJavaContainer

Special container support for the JBoss application server.

Version:
  $Id: JBoss3xContainer.java 239130 2005-01-29 15:49:18Z vmassol $

Constructor Summary
`JBoss3xContainer()`

Method Summary
`int` | `getJndiPort()` Returns the server JNDI port.
`java.lang.String` | `getName()` Returns a displayable name of the container for logging purposes.
`int` | `getPort()` Returns the port to which the container should listen.
`java.lang.String` | `getTestContext()`
`void` | `init()` The default implementation does nothing.
`void` | `setConfig(java.lang.String theConfig)` Sets the name of the server configuration to use for running the tests.
`void` | `setConfigDir(java.io.File theConfigDir)` Sets the location of the server configuration directory.
`void` | `setDir(java.io.File theDir)` Sets the JBoss installation directory.
`void` | `setJndiPort(int theJndiPort)` Specify the JNDI port to use.
`void` | `setPort(int thePort)` Sets the port that will be used to poll the server to verify if it is started.
`void` | `setTmpDir(java.io.File theTmpDir)` Sets the temporary directory from which the container is run.
`void` | `shutDown()` Subclasses must implement this method to perform the actual task of shutting down the container.
`void` | `startUp()` Subclasses must implement this method to perform the actual task of starting up the container.

Methods inherited from class org.apache.cactus.integration.ant.container.AbstractJavaContainer
`setAppend, setJVMArgs, setOutput`

Methods inherited from class org.apache.cactus.integration.ant.container.AbstractContainer
`createExclude, getBaseURL, getContainerClasspath, getExcludePatterns, getProtocol, getServer, getStartUpWait, getSystemProperties, getToDir, isEnabled, isExcluded, setAntTaskFactory, setContainerClasspath, setDeployableFile, setIf, setLog, setProtocol, setServer, setStartUpWait, setSystemProperties, setToDir, setUnless`

Methods inherited from class org.apache.tools.ant.ProjectComponent
`getProject, log, log, setProject`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JBoss3xContainer

    public JBoss3xContainer()

Method Detail

### setDir

    public final void setDir(java.io.File theDir)
                      throws org.apache.tools.ant.BuildException

  Sets the JBoss installation directory.

  Parameters:
    `theDir` - The directory to set
  Throws:
    `org.apache.tools.ant.BuildException` - If the specified directory doesn't contain a valid JBoss 3.x installation

### setConfig

    public final void setConfig(java.lang.String theConfig)

  Sets the name of the server configuration to use for running the tests.

  Parameters:
    `theConfig` - The configuration name

### setConfigDir

    public final void setConfigDir(java.io.File theConfigDir)

  Sets the location of the server configuration directory.

  Parameters:
    `theConfigDir` - The configuration directory

### setPort

    public final void setPort(int thePort)

  Sets the port that will be used to poll the server to verify if it is started. This is needed for the use case where the user has defined his own JBoss configuration by using the `setConfig(String)` call and has defined a port other than the default one. Note: This value is not yet used to set the port to which the container will listen to. The reason is that this is hard to implement with JBoss and nobody had the courage to implement it yet...

  Parameters:
    `thePort` - The port to set

### setJndiPort

    public final void setJndiPort(int theJndiPort)

  Specify the JNDI port to use.

  Parameters:
    `theJndiPort` - The JNDI port

### setTmpDir

    public final void setTmpDir(java.io.File theTmpDir)

  Sets the temporary directory from which the container is run.

  Parameters:
    `theTmpDir` - The temporary directory to set

### getTestContext

    public java.lang.String getTestContext()

  Specified by:
    `getTestContext` in interface `Container`
  Overrides:
    `getTestContext` in class `AbstractContainer`
  See Also:
    `AbstractContainer.getTestContext()`

### getName

    public final java.lang.String getName()

  Description copied from interface: `Container`
  Returns a displayable name of the container for logging purposes.

  Returns:
    The container name
  See Also:
    `Container.getName()`

### getPort

    public final int getPort()

  Description copied from interface: `Container`
  Returns the port to which the container should listen.

  Returns:
    The port
  See Also:
    `Container.getPort()`

### getJndiPort

    public final int getJndiPort()

  Returns the server JNDI port.

  Returns:
    The JNDI port

### init

    public final void init()

  Description copied from class: `AbstractContainer`
  The default implementation does nothing.

  Specified by:
    `init` in interface `Container`
  Overrides:
    `init` in class `AbstractContainer`
  See Also:
    `AbstractContainer.init()`

### startUp

    public final void startUp()

  Description copied from interface: `Container`
  Subclasses must implement this method to perform the actual task of starting up the container.

  See Also:
    `Container.startUp()`

### shutDown

    public final void shutDown()

  Description copied from interface: `Container`
  Subclasses must implement this method to perform the actual task of shutting down the container.

  See Also:
    `Container.shutDown()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2004 Apache Software Foundation. All Rights Reserved.